#!/usr/bin/python
#
# Copyright (C) Marcelo Boveto shima 2009 <marceloshima@gmail.com>
# 
# TaciX is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
# 
# TaciX is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from glob import glob
from distutils.core import setup

setup(
    name='tacix',
    version='0.0.1',

    description='Remote X Session Manager',
    url='https://launchpad.net/freenx-server',
    license='GPL v2 or later',
    author='Marcelo Boveto Shima',
    author_email='marceloshima@gmail.com',

    packages=['tacix',
              'tacix/apps',
              'tacix/backend',
              'tacix/client',
              'tacix/freenx',
              'tacix/gtk',
              'tacix/nx',
              'tacix/server'],

    data_files = [
        ('/etc/xdg/autostart/', glob('gtk/*.desktop')),
        ('share/pixmaps/', glob('data/*.png')),
        ('/etc/dbus-1/system.d/', glob('server/dbus/*.conf')),
        ('/etc/init.d/', glob('server/init/tacix')),
        ('/etc/tacix/', glob('server/etc/Xsession')),
        ('/etc/tacix/', glob('server/etc/tacix.conf')),
        ('/etc/tacix/', glob('server/etc/cups.conf.template')),
        ('/etc/tacix/freenx-keys/', glob('freenx-utils/keys/*')),
        ('share/dbus-1/system-services/', glob('server/dbus/*.service')),
        ('lib/tacix/', glob('gtk/tacix-applet-gtk')),
        ('lib/tacix/', glob('gtk/tacix-dialog')),
        ('lib/tacix/', glob('freenx-utils/tacix-freenx-node')),
        ('lib/tacix/', glob('freenx-utils/tacix-freenx-server')),
        ('lib/tacix/', glob('server/tacix-session')),
        ],

    scripts = [
        'server/tacix-client',
        'server/tacix-manager',
        ],

)
