#!/usr/bin/python
#
# Copyright 2009 Marcelo Boveto Shima.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.    See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA    02110-1301, USA.
#
# Author: marceloshima@gmail.com (Marcelo Boveto Shima)

import os
import string

class GNOMENXSessionType:
    def __init__( self ):
        self.type = "GNOME"
        self.file_manager_cmd = "nautilus"
        self.mount_share_cmd = "smbmount"
        self.umount_share_cmd = "smbumount"
    
    def browse_dir( self, dir ):
        ret = os.spawnlp( os.P_NOWAIT, self.file_manager_cmd, self.file_manager_cmd, dir )
    
    def mount_dir( self, host, port, src_point, dest_point, user, password ):
        # PASSWD="$password" $COMMAND_SMBMOUNT "//$computername/$share" "$HOME/$dir" -o username="$username",ip=127.0.0.1,port=$port
        ret = os.spawnlp( os.P_WAIT, self.mount_share_cmd, self.mount_share_cmd, src_point, dest_point, "-o", "username=" + user + ",ip=" + host + ",port=" + port )
        return ret
    
    def umount_dir( self, mountpoint ):
        ret = os.spawnlp( os.P_WAIT, self.umount_share_cmd, self.umount_share_cmd, mountpoint )
        return ret
