#!/usr/bin/env python

import sys
from tacix.freenx.FreeNXProtocol import FreeNXProtocol

class FreeNXServerProtocol(FreeNXProtocol):
    def exit(self):
        self.say_bye()

    # Output functions
    def send_client(self, line):
        sys.stdout.write(line)
        sys.stdout.flush()

    def say_server_prompt(self):
        self.send_client('NX> 105 ')

    def say_server_hello(self):
        self.send_client('HELLO NXSERVER - Version 3.3.0-1 OS (TX)\n')
        self.send_client('NX> 105 ')

    def say_server_bye(self, line):
        self.send_client(line + '\n')
        self.send_client( "Bye\n" )
        self.send_client( "NX> 999 Bye.\n" )

    def say_server_welcome(self, hostname, user):
        self.send_client('\nNX> 103 Welcome to: %s user: %s\n' % (hostname, user))
        self.send_client('NX> 105 ')

    def say_server_login_failed(self):
        self.send_client('NX> 404 ERROR: wrong password or login')

    def say_server_password(self, line):
        self.send_client(line + '\n')
        self.send_client('\nNX> 102 Password: ')

    def say_server_user(self, line):
        self.send_client(line + '\n')
        self.send_client('NX> 101 User: ')

    def say_server_accepted(self, line):
        self.send_client(line + '\n')
        self.send_client('NX> 134 Accepted protocol: 3.3.0\n')
        self.send_client('NX> 105 ')

