#!/usr/bin/env python
#
# Copyright 2009 Marcelo Boveto Shima.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.    See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA    02110-1301, USA.
#
# Author: marceloshima@gmail.com (Marcelo Boveto Shima)

import os


from ConfigParser import ConfigParser

class NXConfig:
    def __init__(self, f='/etc/tacix/tacix.conf'):
        self.parser = ConfigParser()
        self.filename = f
        self.load_config()

    def load_config(self):
        try:
            self.parser.read(self.filename)
        except Exception, e:
            pass

    def to_dict(self):
        dict = {}
        try:
            for opt in self.parser.options('tacix'):
                opts = self.parser.get('tacix', opt).split(' ')
                if len(opts) > 1:
                    dict[opt] = opts
                else:
                    dict[opt] = opts[0]
        except Exception,e:
            pass
        return dict

    def __getitem__(self, name):
        s = self.parser.get('tacix', name)
        return s

if __name__ == "__main__":
    config = NXConfig()
    print config.to_dict()
