#!/usr/bin/python
#
# Copyright 2009 Marcelo Boveto Shima.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.    See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA    02110-1301, USA.
#
# Author: marceloshima@gmail.com (Marcelo Boveto Shima)

import os
import traceback

BUS_NAME="org.tacix"
INTERFACE_SESSION="org.tacix.Sessions"
INTERFACE_SERVER="org.tacix.Manager"
OBJECT_PATH="/org/tacix/Manager"

class NXSessionInterface:
    def __init__(self, txsession, nxagent, txpath, logger):
        self.txsession = txsession
        self.logger = logger
        self.nxagent = nxagent
        self.resources_signal = None
        self.txpath = txpath

    def add_dbus_signal(self, callback):
        try:
            watcher = self.txsession.connect_to_signal("StateChanged", self.watch_agent_state_apps, dbus_interface=INTERFACE_SESSION)
            self.logger.debug('Watcher added')
            return watcher

        except Exception, e:
            self.logger.error("Got exception, cleaning up\n")
            trace = traceback.format_exc()
            for line in trace.split('\n'):
                self.logger.error('%s' % line)

        self.logger.debug('Watcher failed to be added')
        return None

